Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

taking jeweler

  • Loading branch information...
commit ddac237a8a90b02a995a0f9d1da4538f191d5452 1 parent af416c2
@chebyte chebyte authored
Showing with 28 additions and 81 deletions.
  1. +2 −9 Gemfile
  2. +12 −17 Gemfile.lock
  3. +1 −38 Rakefile
  4. +13 −17 youtube_it.gemspec
View
11 Gemfile
@@ -1,12 +1,5 @@
source 'http://rubygems.org'
-gem 'oauth', '~> 0.4.4'
-gem 'oauth2', '~> 0.5.2'
-gem 'simple_oauth', '~> 0.1.5'
-gem 'faraday', '~> 0.7.3'
-gem 'jeweler', '~> 1.8.3'
-gem 'builder'
+gemspec
-group :test do
- gem 'webmock', '~> 1.7.10'
-end
+gem 'webmock', '~> 1.7.10', :group => :test
View
29 Gemfile.lock
@@ -1,3 +1,13 @@
+PATH
+ remote: .
+ specs:
+ youtube_it (2.1.4)
+ builder
+ faraday (~> 0.7.3)
+ oauth (~> 0.4.4)
+ oauth2 (~> 0.5.2)
+ simple_oauth (~> 0.1.5)
+
GEM
remote: http://rubygems.org/
specs:
@@ -8,23 +18,13 @@ GEM
addressable (~> 2.2)
multipart-post (~> 1.1)
rack (~> 1.1)
- git (1.2.5)
- jeweler (1.8.3)
- bundler (~> 1.0)
- git (>= 1.2.5)
- rake
- rdoc
- json (1.6.5)
- multi_json (1.0.4)
+ multi_json (1.1.0)
multipart-post (1.1.5)
oauth (0.4.5)
oauth2 (0.5.2)
faraday (~> 0.7)
multi_json (~> 1.0)
rack (1.4.1)
- rake (0.9.2.2)
- rdoc (3.12)
- json (~> 1.4)
simple_oauth (0.1.5)
webmock (1.7.10)
addressable (~> 2.2, > 2.2.5)
@@ -34,10 +34,5 @@ PLATFORMS
ruby
DEPENDENCIES
- builder
- faraday (~> 0.7.3)
- jeweler (~> 1.8.3)
- oauth (~> 0.4.4)
- oauth2 (~> 0.5.2)
- simple_oauth (~> 0.1.5)
webmock (~> 1.7.10)
+ youtube_it!
View
39 Rakefile
@@ -1,6 +1,7 @@
# encoding: utf-8
require 'rubygems'
+require 'rake'
require 'bundler'
begin
Bundler.setup(:default, :test)
@@ -9,20 +10,6 @@ rescue Bundler::BundlerError => e
$stderr.puts "Run `bundle install` to install missing gems"
exit e.status_code
end
-require 'rake'
-
-require 'jeweler'
-Jeweler::Tasks.new do |gem|
- # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
- gem.name = "youtube_it"
- gem.summary = %Q{The most complete Ruby wrapper for youtube api's}
- gem.description = %Q{Upload, delete, update, comment on youtube videos all from one gem.}
- gem.email = "kylejginavan@gmail.com"
- gem.homepage = "http://github.com/kylejginavan/youtube_it"
- gem.authors = ["kylejginavan","chebyte", "mseppae"]
- # dependencies defined in Gemfile
-end
-Jeweler::RubygemsDotOrgTasks.new
require 'rake/testtask'
Rake::TestTask.new(:test) do |test|
@@ -31,28 +18,4 @@ Rake::TestTask.new(:test) do |test|
test.verbose = true
end
-begin
- require 'rcov/rcovtask'
- Rcov::RcovTask.new do |test|
- test.libs << 'test'
- test.pattern = 'test/**/test_*.rb'
- test.verbose = true
- end
-rescue LoadError
- task :rcov do
- abort "RCov is not available. In order to run rcov, you must: sudo gem install spicycode-rcov"
- end
-end
-
task :default => :test
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- version = File.exist?('VERSION') ? File.read('VERSION') : ""
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "constantations #{version}"
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
-
View
30 youtube_it.gemspec
@@ -1,17 +1,17 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
-Gem::Specification.new do |s|
- s.name = %q{youtube_it}
- s.version = "2.1.4"
+$:.push File.expand_path("../lib", __FILE__)
+
+# Maintain your gem's version:
+require "youtube_it/version"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["kylejginavan", "chebyte", "mseppae"]
- s.date = %q{2012-02-23}
+Gem::Specification.new do |s|
+ s.name = "youtube_it"
+ s.version = YouTubeIt::VERSION
+ s.authors = ["kylejginavan", "chebyte", "mseppae"]
+ s.date = %q{2012-03-16}
s.description = %q{Upload, delete, update, comment on youtube videos all from one gem.}
- s.email = %q{kylejginavan@gmail.com}
+ s.email = %q{kylejginavan@gmail.com}
s.extra_rdoc_files = [
"README.rdoc"
]
@@ -64,10 +64,9 @@ Gem::Specification.new do |s|
"test/test_video_search.rb",
"youtube_it.gemspec"
]
- s.homepage = %q{http://github.com/kylejginavan/youtube_it}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.5.2}
- s.summary = %q{The most complete Ruby wrapper for youtube api's}
+ s.homepage = %q{http://github.com/kylejginavan/youtube_it}
+ s.require_paths = ["lib"]
+ s.summary = %q{The most complete Ruby wrapper for youtube api's}
if s.respond_to? :specification_version then
s.specification_version = 3
@@ -77,14 +76,12 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<oauth2>, ["~> 0.5.2"])
s.add_runtime_dependency(%q<simple_oauth>, ["~> 0.1.5"])
s.add_runtime_dependency(%q<faraday>, ["~> 0.7.3"])
- s.add_runtime_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_runtime_dependency(%q<builder>, [">= 0"])
else
s.add_dependency(%q<oauth>, ["~> 0.4.4"])
s.add_dependency(%q<oauth2>, ["~> 0.5.2"])
s.add_dependency(%q<simple_oauth>, ["~> 0.1.5"])
s.add_dependency(%q<faraday>, ["~> 0.7.3"])
- s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<builder>, [">= 0"])
end
else
@@ -92,7 +89,6 @@ Gem::Specification.new do |s|
s.add_dependency(%q<oauth2>, ["~> 0.5.2"])
s.add_dependency(%q<simple_oauth>, ["~> 0.1.5"])
s.add_dependency(%q<faraday>, ["~> 0.7.3"])
- s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<builder>, [">= 0"])
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.